%define oname oslo.limit
%define dirname oslo_limit

Name: python3-module-%oname
Version: 2.1.0
Release: alt1.p10

Summary: Limit enforcement library to assist with quota calculation

Group: Development/Python3
License: Apache-2.0
Url: https://github.com/openstack/oslo.limit

Source: %oname-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-wheel
BuildRequires: python3-module-keystoneauth1 >= 3.9.0
BuildRequires: python3-module-oslo.config >= 5.2.0
BuildRequires: python3-module-oslo.i18n >= 3.15.3
BuildRequires: python3-module-oslo.log >= 3.44.0
BuildRequires: python3-module-openstacksdk >= 0.31.1

Requires: python3-module-keystoneauth1 >= 5.1.0 python3-module-keystoneauth1 <= 5.1.2
Requires: python3-module-oslo.config >= 9.1.0 python3-module-oslo.config <= 9.1.1
Requires: python3-module-oslo.i18n = 6.0.0
Requires: python3-module-oslo.log >= 5.1.0 python3-module-oslo.log <= 5.2.0
Requires: python3-module-openstacksdk >= 0.102.0 python3-module-openstacksdk <= 1.0.1

%description
Oslo.limit is the limit enforcement library to assist with quota calculation.
It aims to provide support for quota enforcement across all OpenStack services.

%prep
%setup -n %oname-%version

# Remove bundled egg-info
rm -rf *.egg-info

%build
export PBR_VERSION=%version
%pyproject_build

%install
%pyproject_install

%files
%doc LICENSE *.rst
%python3_sitelibdir/%dirname

%changelog
* Sun Dec 10 2023 Ilfat Aminov <aminov@altlinux.org> 2.1.0-alt1.p10
- Initial packaging
